debugfs_create_symlink
Prev | debugfs interface | Next

## Name

debugfs_create_symlink — create a symbolic link in the debugfs filesystem

## Synopsis

`struct dentry * debugfs_create_symlink (` | const char * | name,
| struct dentry * | parent,
| const char * | target`)`;

## Arguments

`name`

  a pointer to a string containing the name of the symbolic link to create.

`parent`

  a pointer to the parent dentry for this symbolic link. This should be a directory dentry if set. If this paramater is NULL, then the symbolic link will be created in the root of the debugfs filesystem.

`target`

  a pointer to a string containing the path to the target of the symbolic link.

## Description

This function creates a symbolic link with the given name in debugfs that links to the given target path.

This function will return a pointer to a dentry if it succeeds. This pointer must be passed to the `debugfs_remove` function when the symbolic link is to be removed (no automatic cleanup happens if your module is unloaded, you are responsible here.) If an error occurs, `NULL` will be returned.

If debugfs is not enabled in the kernel, the value -`ENODEV` will be returned.

Prev | Up | Next
debugfs_create_dir | Home | debugfs_remove